%define realname opengfx
#define prever   alpha6

Name:           openttd-opengfx
Version:        0.1.1
Release:        2%{?prever:.%{prever}}%{?dist}
Summary:        OpenGFX replacement graphics for OpenTTD

Group:          Amusements/Games
License:        GPLv2
URL:            http://dev.openttdcoop.org/projects/opengfx
Source0:        http://bundles.openttdcoop.org/opengfx/releases/%{realname}-%{version}%{?prever:-%{prever}}-source.tar.gz
# From binary release, to check md5sums
Source1:        opengfx.obg
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  grfcodec nforenum dos2unix
Requires:       openttd


%description
The ultimate aim of this project is to have a full replacement set of graphics,
so that OpenTTD can be distributed freely without the need of the copyrighted
graphics from the original game.


%prep
%setup -q -n %{realname}-%{version}%{?prever:-%{prever}}-source 
dos2unix docs/authoroverview.csv docs/changelog.ptxt docs/license.ptxt \
    docs/readme.ptxt docs/aoHTMLoutput/config.inc.php \
    docs/aoHTMLoutput/script.php docs/aoHTMLoutput/style.css


%build
make %{?_smp_mflags} NFORENUM=nforenum


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/openttd/data
make install INSTALLDIR=$RPM_BUILD_ROOT%{_datadir}/openttd/data

# OpenGFX doesn't have a sound file yet so this is required
# otherwise OpenTTD refuses to start
touch $RPM_BUILD_ROOT%{_datadir}/openttd/data/sample.cat


%check
cd opengfx-nightly
# Split md5sums out of .obg file and check it
sed -e 's/^\(.*\.grf\)[[:blank:]]*=[[:blank:]]*\([0-9a-f]\{32\}\)/\2  \1/' \
    -e 't end' -e 'D' -e ':end' %{SOURCE1} | md5sum -c


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*.txt
%doc docs/aoHTMLoutput/
%{_datadir}/openttd/data/*


%changelog
* Sat Oct 10 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.1.1-2
- Correct generation of grfs, using nforenum

* Sat Oct 10 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.1.1-1
- New upstream release 0.1.1
- Check md5sums of resulting files

* Sun Aug 23 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.1.0-0.1.alpha6
- new upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.alpha4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.4.alpha4.2
- added md5 check

* Tue Apr 14 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.3.alpha4.2
- now compiles from source

* Sun Mar 29 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.2.alpha4.2
- improved macro usage
- touch sample.cat

* Sat Mar 21 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.1.alpha4.2
- initial build

